Bug 794795

Summary: enable contrib-libs to get CJKAnalyzer to enable LibreOffice lucene->clucene changeover
Product: [Fedora] Fedora Reporter: Caolan McNamara <caolanm>
Component: cluceneAssignee: Rex Dieter <rdieter>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: andreas, dakingun, igeorgex, jreznik, rdieter
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: clucene-2.3.3.4-6.fc17 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-10-09 11:09:57 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
patch to clucene fedora master none

Description Caolan McNamara 2012-02-17 11:49:26 EST
Created attachment 563946 [details]
patch to clucene fedora master

Description of problem:
We're planning to move LibreOffice from lucene to clucene, but we'd like to use the CJKAnalyzer (in the contrib-libs dir) to smooth the transition.

Version-Release number of selected component (if applicable):
clucene-core-2.3.3.4

Additional info:
Comment 1 Rex Dieter 2012-03-19 10:29:23 EDT
%changelog
* Mon Mar 19 2012 Rex Dieter <rdieter@fedoraproject.org> 2.3.3.4-6
- contribs-lib is not built and installed even with config (#794795, upstream ID: 3392466)
- pkgconfig file is missing clucene-shared (upstream ID: 3461512)
- non-descriptive descripton (#757319)
Comment 2 Fedora Update System 2012-03-19 10:38:04 EDT
clucene-2.3.3.4-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/clucene-2.3.3.4-6.fc17
Comment 3 Fedora Update System 2012-03-19 10:54:23 EDT
clucene-2.3.3.4-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/clucene-2.3.3.4-6.fc16
Comment 4 Caolan McNamara 2012-03-20 07:38:17 EDT
thanks rex
Comment 5 Fedora Update System 2012-04-06 17:34:07 EDT
clucene-2.3.3.4-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-04-11 22:09:14 EDT
clucene-2.3.3.4-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 JM 2012-05-04 16:12:57 EDT
I tried to build the package for RHEL 6 but it failed, the problem is

  -DBUILD_CONTRIBS_LIB=BOOL:ON \

the - at least for RHEL 6 - working config is

  -DBUILD_CONTRIBS_LIB:BOOL=ON \

I had to switch the '=' and ':', maybe this could be important for F16 and F17 as well?
Comment 8 Rex Dieter 2012-05-04 16:45:35 EDT
Indeed I think the :BOOL=ON syntax is the correct one.  thanks!
Comment 9 Andreas Thienemann 2014-10-09 10:35:28 EDT
(In reply to Rex Dieter from comment #8)
> Indeed I think the :BOOL=ON syntax is the correct one.  thanks!

I believe this syntax error is still unfixed in latest rawhide builds.
Would be good to fix that.
Comment 10 Rex Dieter 2014-10-09 11:09:57 EDT
Good catch, fixed in  2.3.3.4-15